summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilipp Hahn <hahn@univention.de>2013-01-25 10:47:06 +0100
committerPhilipp Hahn <hahn@univention.de>2013-01-28 11:04:29 +0100
commit7a0db8a152ef3216d594303bfc10b5082f272b61 (patch)
tree03f13605438de116bcc639d802f00e7178ac883e
parent4163fd8d38312520a5466bd74473058cd5b7223b (diff)
downloadxrdp-proprietary-7a0db8a152ef3216d594303bfc10b5082f272b61.tar.gz
xrdp-proprietary-7a0db8a152ef3216d594303bfc10b5082f272b61.zip
X11rdp: Rework changing directories
Remove unchecked changes of directories.
-rwxr-xr-xxorg/X11R7.6/buildx.sh23
1 files changed, 7 insertions, 16 deletions
diff --git a/xorg/X11R7.6/buildx.sh b/xorg/X11R7.6/buildx.sh
index 95623257..a3ac4fc5 100755
--- a/xorg/X11R7.6/buildx.sh
+++ b/xorg/X11R7.6/buildx.sh
@@ -68,11 +68,7 @@ download_file()
*)
url=$download_url/$file ;;
esac
- cd downloads
- wget -cq "url"
- status=$?
- cd ..
- return $status
+ wget -cqP downloads "url"
}
remove_modules()
@@ -89,16 +85,12 @@ remove_modules()
exit 0
fi
- cd build_dir
-
while IFS=: read mod_file mod_dir mod_args
do
- if [ -d $mod_dir ]; then
- rm -rf $mod_dir
+ if [ -d build_dir/$mod_dir ]; then
+ rm -rf build_dir/$mod_dir
fi
done < ../$data_file
-
- cd ..
}
extract_it()
@@ -187,7 +179,7 @@ make_it()
# make module
if [ ! -e cookies/$mod_name.made ]; then
- if ! (cd build_dir/$mod_name ; make)
+ if ! make -C build_dir/$mod_name
then
echo ""
echo "make failed for module $mod_name"
@@ -198,7 +190,7 @@ make_it()
fi
# install module
- if ! (cd build_dir/$mod_name ; make install)
+ if ! make -C build_dir/$mod_name install
then
echo ""
echo "make install failed for module $mod_name"
@@ -210,7 +202,7 @@ make_it()
# so Mesa builds using this python version
case "$mod_name" in
*Python-2*)
- (cd build_dir/$mod_name ; ln -s python $PREFIX_DIR/bin/python2)
+ ln -s python build_dir/$mod_name/$PREFIX_DIR/bin/python2
;;
esac
@@ -324,8 +316,7 @@ echo "build for X OK"
X11RDPBASE=$PREFIX_DIR
export X11RDPBASE
-cd rdp
-if ! make
+if ! make -C rdp
then
echo "error building rdp"
exit 1